www.cendio.com
Bug 6138 - graphical tearing in Web Access on Firefox
: graphical tearing in Web Access on Firefox
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
: 5611
: 6132
  Show dependency treegraph
 
Reported: 2017-01-16 16:45 by
Modified: 2017-04-20 11:01 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-01-16 16:45:24
There is significant tearing in the graphics when watching videos in the HTML5
client on Firefox. Tested with ThinLinc 4.7.0 and Firefox 50 on Fedora 25.

This is a result of how we draw things in the HTML5 client. This is fixed in
upstream noVNC with the implementation of double buffering.
------- Comment #3 From cendio 2017-02-06 14:04:32 -------
The double buffering has gotten rid of almost all tearing. It's not completely
gone though, but it's good enough for now.
------- Comment #4 From cendio 2017-02-07 14:52:02 -------
There is a big improvement using double buffer mainly seen when using firefox,
but also noticeable using chrome.

Works as expected.